Bug 1130200

Summary: We need to provide some metadata min/max nodes for each deployment role.
Product: Red Hat OpenStack Reporter: Leonid Natapov <lnatapov>
Component: rubygem-staypuftAssignee: Mike Burns <mburns>
Status: CLOSED EOL QA Contact: Omri Hochman <ohochman>
Severity: high Docs Contact:
Priority: unspecified    
Version: 5.0 (RHEL 7)CC: jguiditt, mburns, morazi, pasik, rhos-maint, srevivo, sseago
Target Milestone: ---Keywords: UserExperience, ZStream
Target Release: Installer   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-29 13:24:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Leonid Natapov 2014-08-14 14:18:45 UTC
We need to provide some metadata min/max nodes for each deployment role. 
More generally, for each deployment role we need to provide some metadata min/max nodes i.e. an optional role will have a min of 0; compute will have a min of 1; no max; HA controller will have min == max == 3; non-HA controller will have min == max == 1

For example a requirement for HA is at least 3 nodes. User should not be able to deploy HA when less than 3 nodes assigned to HA deployment.

Comment 2 Mike Burns 2014-08-14 15:53:03 UTC
compute min is 0, I think.  Nothing stops you from adding computes later.
HA controllers probably work with more than 3, but for now, ==3 works.

Comment 3 Scott Seago 2014-08-14 16:05:58 UTC
I"m not sure if we need a separate bug to track this, but it's related enough that we should probably do it at the same time -- some deployment roles (compute) allows deploying additional nodes after initial deployment, others (controller) does not. We should add a boolean for this too. The idea being that adding a host to a role is allowed if 

1) current number of hosts is less than max and
2) either it's not deployed yet, or it's deployed and this role
   allows post-deployment additions.

Since removing hosts from deployments isn't supported yet, I"m not sure if we should enforce this on removal, or disable removal entirely, or allow it but continue to state that it's not supported.

Comment 4 Jason Guiditta 2014-08-15 16:05:01 UTC
If this can be co-ordinated with puppet-pacemaker and quick stack support, you will be able to add more nodes to an HA deployment of controllers.  Pacemaker itself supports this, but the puppet does not (yet).  So it may be a question of timing on when we can implement that support.  You can certainly do a first step of saying >=3 (needed to avoid split-brain an still have quorum) and a flag to say 'no more controllers can be added', which could later be dropped when ad support is there.

Comment 5 Jaromir Coufal 2016-09-29 13:24:20 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform